Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1809658 - ironic-image bootloader missing file:// schema [NEEDINFO]
Summary: ironic-image bootloader missing file:// schema
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Stephen Benjamin
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On: 1809672
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-03 16:08 UTC by Yolanda Robla
Modified: 2020-05-13 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-13 22:00:24 UTC
Target Upstream Version:
rbartal: needinfo? (yroblamo)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ironic-image pull 59 0 None closed Bug 1809658: Add schema to bootloader setting 2020-05-21 12:36:15 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 22:00:25 UTC

Description Yolanda Robla 2020-03-03 16:08:56 UTC
Description of problem:


The bootloader path in ironic-image points to a local file, but misses the file:// schema. This is causing following error: scheme-less image href is not a UUID 
So we need to prepend file:// schema there

Comment 3 Raviv Bar-Tal 2020-03-26 08:49:23 UTC
We now have 3 '/' in the file path,
It does not seem to make a problem but I beleve it shoudl be only 2 '//
We have file:///httpboot/uefi_esp.img
should have file://httpboot/uefi_esp.img ?

Comment 4 Yolanda Robla 2020-03-26 09:11:35 UTC
Hi, this is fine, file:// is the protocol, while the first / is the directory indicator, as it's an absolute path

Comment 6 errata-xmlrpc 2020-05-13 22:00:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.